%define major 0.5.23
%define libname %mklibname htp %{major}
%define libname_devel %mklibname htp -d

Summary: 	Intrusion Detection System
Name: 		suricata
Version: 	3.2.1
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Security
URL: 		http://suricata-ids.org/
Source0: 	http://www.openinfosecfoundation.org/download/%{name}-%{version}.tar.gz
Source1:	http://www.openinfosecfoundation.org/download/%{name}-%{version}.tar.gz.sig
Source2: 	suricata.service
Source3: 	suricata.sysconfig
Source4: 	suricata.logrotate
BuildRequires: 	yaml-devel 
BuildRequires:	prelude-devel
BuildRequires: 	nfnetlink-devel 
BuildRequires:	netfilter_queue-devel 
BuildRequires:	net2-devel
BuildRequires: 	zlib-devel 
BuildRequires:  pcap-devel 
BuildRequires:	pcre-devel 
BuildRequires:  cap-ng-devel
BuildRequires:	magic-devel
BuildRequires:	jansson-devel
BuildRequires:	coccinelle

%description
The Suricata Engine is an Open Source Next Generation Intrusion
Detection and Prevention Engine. This engine is not intended to
just replace or emulate the existing tools in the industry, but
will bring new ideas and technologies to the field. This new Engine
supports Multi-threading, Automatic Protocol Detection (IP, TCP,
UDP, ICMP, HTTP, TLS, FTP and SMB! ), Gzip Decompression, Fast IP
Matching and coming soon hardware acceleration on CUDA and OpenCL
GPU cards.

%package	-n 	%{libname}
Summary:        HTP library
Group:          Networking/Other

%description 	-n	%{libname}
none for the moment

%package	-n	%{libname_devel}
Summary:        HTP library developemnt
Group:          Networking/Other
Provides:	htp-devel = %{version}-%{release}

%description 	-n	%{libname_devel}
none for the moment.
These are devel files.

%prep
%setup -q

%build
%configure2_5x --enable-gccprotect --enable-nfqueue --enable-prelude  
%make

%install 
%make_install

# Setup etc directory
install -d -m 755 %{buildroot}%{_sysconfdir}/suricata
install -d -m 755 %{buildroot}%{_sysconfdir}/suricata/rules
install -m 644 suricata.yaml %{buildroot}%{_sysconfdir}/suricata

install -D -m 755 %{SOURCE2} %{buildroot}%{_unitdir}/suricata.service

install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/suricata

install -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/suricata

# Make logging directory
install -d -m 755 %{buildroot}%{_var}/log/suricata

# drop .la file
rm -f %{buildroot}%{_libdir}/libhtp.la
rm -fr %{buildroot}%{_docdir}/%{name}

%check
make check

%post
%_post_service suricata

%preun
%_preun_service suricata

%files
%doc COPYING doc/INSTALL
%{_bindir}/suricata
%{_bindir}/suricatasc
%dir %{_var}/log/suricata
%dir %{_sysconfdir}/suricata
%dir %{_sysconfdir}/suricata/rules
%{_unitdir}/suricata.service
%config(noreplace) %{_sysconfdir}/suricata/suricata.yaml
%config(noreplace) %{_sysconfdir}/sysconfig/suricata
%config(noreplace) %{_sysconfdir}/logrotate.d/suricata
%{python_sitelib}/suricatasc-0.9-py2.7.egg-info
%{python_sitelib}/suricatasc/__init__.py
%{python_sitelib}/suricatasc/suricatasc.py
%{python_sitelib}/suricatasc/__init__.pyc
%{python_sitelib}/suricatasc/__init__.pyo
%{python_sitelib}/suricatasc/suricatasc.pyc
%{python_sitelib}/suricatasc/suricatasc.pyo
%{_mandir}/man1/suricata.1*

%files -n %{libname}
%{_libdir}/libhtp-%{major}.so.*

%files -n %{libname_devel}
%{_includedir}/htp
%{_libdir}/libhtp.a
%{_libdir}/libhtp.so
%{_libdir}/pkgconfig/htp.pc



%changelog
* Thu Mar 09 2017 luigiwalser <luigiwalser> 3.2.1-1.mga6
+ Revision: 1090519
- 3.2.1

* Tue Dec 13 2016 guillomovitch <guillomovitch> 3.2-1.mga6
+ Revision: 1074777
- new version 3.2

* Fri Nov 11 2016 guillomovitch <guillomovitch> 3.1.3-1.mga6
+ Revision: 1066352
- new version 3.1.3

* Sun Oct 16 2016 guillomovitch <guillomovitch> 3.1.2-2.mga6
+ Revision: 1061109
- rebuild for new libprelude

* Thu Sep 15 2016 guillomovitch <guillomovitch> 3.1.2-1.mga6
+ Revision: 1053189
- new version 3.1.2

* Tue Aug 30 2016 guillomovitch <guillomovitch> 3.1.1-1.mga6
+ Revision: 1049548
- new version 3.1.1

* Wed Apr 27 2016 guillomovitch <guillomovitch> 3.0.1-1.mga6
+ Revision: 1006981
- new version 3.0.1

* Thu Feb 04 2016 guillomovitch <guillomovitch> 3.0-1.mga6
+ Revision: 934189
- new version 3.0

* Fri Jan 01 2016 guillomovitch <guillomovitch> 2.0.11-1.mga6
+ Revision: 917695
- new version 2.0.11

* Tue Dec 01 2015 guillomovitch <guillomovitch> 2.0.10-1.mga6
+ Revision: 907576
- new version 2.0.10

* Sun Oct 11 2015 guillomovitch <guillomovitch> 2.0.9-1.mga6
+ Revision: 889759
- new version 2.0.8

* Sat Sep 12 2015 fwang <fwang> 2.0.8-2.mga6
+ Revision: 878356
- update file list
- rebuild for new prelude

* Mon May 11 2015 neoclust <neoclust> 2.0.8-1.mga5
+ Revision: 821824
- New version 2.0.8, fixes CVE-2015-0971

* Sun Mar 01 2015 guillomovitch <guillomovitch> 2.0.7-1.mga5
+ Revision: 817225
- new version 2.0.7

* Mon Jan 19 2015 guillomovitch <guillomovitch> 2.0.6-1.mga5
+ Revision: 811523
- new version 2.0.6

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-2.mga5
+ Revision: 741045
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 guillomovitch <guillomovitch> 2.0.4-1.mga5
+ Revision: 737177
- new version 2.0.4

* Sat Sep 27 2014 tv <tv> 2.0.2-3.mga5
+ Revision: 730410
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-2.mga5
+ Revision: 689624
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 pterjan <pterjan> 2.0.2-1.mga5
+ Revision: 641940
- 2.0.2

* Thu Jun 05 2014 guillomovitch <guillomovitch> 2.0.1-1.mga5
+ Revision: 633476
- new version 2.0.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Apr 08 2014 guillomovitch <guillomovitch> 2.0-1.mga5
+ Revision: 612887
- new version 2.0

* Thu Dec 19 2013 guillomovitch <guillomovitch> 1.4.7-1.mga4
+ Revision: 558909
- new version 1.4.7

* Tue Oct 22 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 544657
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.6-2.mga4
+ Revision: 499898
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 09 2013 dlucio <dlucio> 1.4.6-1.mga4
+ Revision: 494168
- 1.4.6
- filelist fix

* Sat Aug 24 2013 dlucio <dlucio> 1.4.5-2.mga4
+ Revision: 470523
- jansson as BR

* Sat Aug 24 2013 dlucio <dlucio> 1.4.5-1.mga4
+ Revision: 470447
- 1.4.5
- filelist fixed

* Mon Jan 14 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 383803
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 guillomovitch <guillomovitch> 1.4-1.mga3
+ Revision: 331607
- new version

* Fri Dec 07 2012 guillomovitch <guillomovitch> 1.3.5-1.mga3
+ Revision: 327888
- new version

* Sat Dec 01 2012 fwang <fwang> 1.3.3-2.mga3
+ Revision: 323846
- rebuild for new pcre

* Fri Nov 02 2012 dlucio <dlucio> 1.3.3-1.mga3
+ Revision: 312374
- 1.3.3

* Tue Oct 16 2012 guillomovitch <guillomovitch> 1.3.2-1.mga3
+ Revision: 307166
- new version
- switch to Security group

* Wed Aug 22 2012 guillomovitch <guillomovitch> 1.3.1-1.mga3
+ Revision: 283149
- new version

* Sun Jul 15 2012 dlucio <dlucio> 1.3-2.mga3
+ Revision: 271038
- bump release

* Mon Jul 09 2012 guillomovitch <guillomovitch> 1.3-1.mga3
+ Revision: 269048
- new version
- add systemd support
- drop sysinit support

* Sun Apr 29 2012 colin <colin> 1.2.1-2.mga2
+ Revision: 234233
- Add LSB headers to initscripts (mga#5262)

* Sat Jan 21 2012 guillomovitch <guillomovitch> 1.2.1-1.mga2
+ Revision: 199127
- new version
- fix soname
- fix service handling during post-uninstallation
- no need to rebuild autotools build system
- drop .la file

* Fri Jan 20 2012 dlucio <dlucio> 1.2-1.mga2
+ Revision: 198780
- new BR: magic-devel

  + guillomovitch <guillomovitch>
    - new version
    - spec cleanup

* Fri Nov 11 2011 dlucio <dlucio> 1.1-1.mga2
+ Revision: 166416
- 1.1
- imported package suricata

